setwd("C:/DOB")
dt<-no_mgrs_all_details

variables<-dt[,18:29]
cleanvariables<-na.omit(variables)
d1<-dim(variables)
d2<-dim(cleanvariables)

d<-d1[1]-d2[1]


f<-as.factor(dt$title)
f<-as.numeric(f)
pos1<-which(f==1)
pos2<-which(f==2)
pos3<-which(f==3)
pos4<-which(f==4)
pos5<-which(f==5)
pos6<-which(f==6)

m1<-colMeans(variables[pos1,],na.rm=T)
m1<-round(m1,digits=0)
dt[pos1,18:29]<-m1

m2<-colMeans(variables[pos2,],na.rm=T)
m2<-round(m2,digits=0)
dt[pos2,18:29]<-m2

m3<-colMeans(variables[pos3,],na.rm=T)
m3<-round(m3,digits=0)
dt[pos3,18:29]<-m3

m4<-colMeans(variables[pos4,],na.rm=T)
m4<-round(m4,digits=0)
dt[pos4,18:29]<-m4

m5<-colMeans(variables[pos5,],na.rm=T)
m5<-round(m5,digits=0)
dt[pos5,18:29]<-m5

m6<-colMeans(variables[pos6,],na.rm=T)
m6<-round(m6,digits=0)
dt[pos6,18:29]<-m6

vals<-c(m1,m2,m3,m4,m5,m6)

vmtx<-matrix(vals,nrow = 6, ncol=length(m1))

fm<-which(dt$gender=="F")
ml<-which(dt$gender=="M")

par(mfrow=c(1,2))
boxplot(dt[fm,8])
boxplot(dt[ml,8])
dev.off()
#################################
f<-as.factor(dt$title)
f<-as.numeric(f)


res<-matrix(rep(0),ncol = 2, nrow = 6)

for (i in 1:6)
{
  posf<-which((f==i)&dt$gender=="F")
  posm<-which((f==i)&dt$gender=="M")
  mfem<-mean(as.matrix(dt[posf,8]))
  mmal<-mean(as.matrix(dt[posm,8]))
  res[i,1]<-mfem;
  res[i,2]<-mmal;
}
