setwd("C:/DOB")
dt<-no_mgrs_all_details
dm<-managers_all_details

cmm<-cor(dm[11:15])

msgs<-dm[11:15]

y<-msgs$commented_by_user
x<-msgs$send_by_user
m<-lm(y~x)
summary(m)
#e<-residuals(m)
w<-fitted(m)
plot(y)
points(w,col="green")

pf<-which(dm$gender=="F")
pm<-which(dm$gender=="M")

mf<-colMeans(as.matrix(msgs[pf,]))
mm<-colMeans(as.matrix(msgs[pm,]))

delta<-mf-mm
plot(delta)

C<-rep(0,24)
C[pf]<-1

dat<-cbind(msgs,C)

m2<-glm(C~dat$read_by_user+dat$read_by_others_avg)
summary(m2)
res<-predict(m2,dat,type="response")

p2<-which(res>0.5)
p<-rep(0,24)
p[p2]<-1
c<-cbind(C,p)


mp<-colMeans(dm[,18:29])
start<-rep(100,300000)
difs<-matrix(start,ncol = 1, nrow =300000 )
for (i in 1:300000)
{
  d<-dt[i,18:29]
  if(!is.na(d[1]))
  {
  delta<-as.matrix(d-mp)
  difs[i]<-sqrt(delta%*%t(delta))
  }
}

po<-min(difs)

f<-which(difs==po)
dt[po,2]